RSS   Vulnerabilities for 'Jsecurity'   RSS

2010-11-05
 
CVE-2010-3863

CWE-22
 

 
Apache Shiro before 1.1.0, and JSecurity 0.9.x, does not canonicalize URI paths before comparing them to entries in the shiro.ini file, which allows remote attackers to bypass intended access restrictions via a crafted request, as demonstrated by the /./account/index.jsp URI.

 


Copyright 2019, cxsecurity.com

 

Back to Top